﻿@model IEnumerable<BlogHome>
@{
    ViewData["Title"] = "Index";
}


<div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
        <div class="card">
            <div class="card-body">
                <h4 class="card-title">Blog table</h4>
                @if (Model.Count() < 5)
                {
                    <a asp-action="Create" class="btn btn-primary">Create</a>
                }
                <div class="table-responsive pt-3">
                    <table class="table table-dark">
                        <thead>
                            <tr>
                                <th>
                                    Image
                                </th>
                                <th>
                                    Title
                                </th>
                                <th>
                                    Setting
                                </th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach (BlogHome slider in Model)
                            {
                                <tr>
                                    <td>
                                        <img src="~/assets/images/@slider.Image" style="width:150px; height:200px; border-radius:unset" />
                                    </td>
                                    <td>
                                        @slider.Title
                                    </td>
                                    <td>
                                        <a class="btn btn-primary" asp-action="Detail" asp-route-id="@slider.Id">Detail</a>
                                        <a class="btn btn-warning" asp-action="Update" asp-route-id="@slider.Id">Update</a>
                                        <a class="btn btn-danger" asp-action="Delete" asp-route-id="@slider.Id">Delete</a>
                                    </td>
                                </tr>
                            }

                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>



